<body><script type="text/javascript"> function setAttributeOnload(object, attribute, val) { if(window.addEventListener) { window.addEventListener('load', function(){ object[attribute] = val; }, false); } else { window.attachEvent('onload', function(){ object[attribute] = val; }); } } </script> <div id="navbar-iframe-container"></div> <script type="text/javascript" src="https://apis.google.com/js/plusone.js"></script> <script type="text/javascript"> gapi.load("gapi.iframes:gapi.iframes.style.bubble", function() { if (gapi.iframes && gapi.iframes.getContext) { gapi.iframes.getContext().openChild({ url: 'https://www.blogger.com/navbar.g?targetBlogID\x3d6918022\x26blogName\x3dwhoza\x26publishMode\x3dPUBLISH_MODE_BLOGSPOT\x26navbarType\x3dSILVER\x26layoutType\x3dCLASSIC\x26searchRoot\x3dhttp://patipats.blogspot.com/search\x26blogLocale\x3dth_TH\x26v\x3d2\x26homepageUrl\x3dhttp://patipats.blogspot.com/\x26vt\x3d7046475390723311380', where: document.getElementById("navbar-iframe-container"), id: "navbar-iframe" }); } }); </script>

ลอง Mono บน Ubuntu

Mono เป็น .NET Framework ที่ Clone ขึ้นมาเพื่อให้ใช้งานได้บน Linux

ลอง apt-get install mono ก็ install ได้อย่างสะดวกโยธิน (เคยอ่านที่ไหนมาหว่า?? ว่าเวลา apt-get mono มาแล้วมีปัญหา)

รอแป๊บเดียวก็เสร็จ ลอง mono --version ดูได้ความว่า


Mono JIT compiler version 1.0.5, (C) 2002-2004 Novell, Inc and Contributors. www.go-mono.com
TLS: normal
GC: Included Boehm (with typed GC)
SIGSEGV : normal
Globalization: ICU


ยังเป็น version 1.0.5 แต่ที่ go-mono เพิ่งออก version 1.1.5 มาเมื่อวันที่ 24 มีนาคม 2548 นี่เอง

ลองเขียนโปรแกรมสิ้นคิ้นด้วย C# ขึ้นมาตัวนึง


using System;
class test{
static void Main(string[] args){
Console.WriteLine("TEST");
}
}


ลอง compile ด้วย mcs test.cs แล้วรันด้วย mono test.exe ก็ได้ผลลัพธ์ TEST ออกมา (เขียนโปรแกรมไม่เก่ง ต้องขออภัยฮะ)

ทีนี้มันมี MonoDevelop เป็น IDE สำหรับพัฒนา Mono ก็เลยไปลอง download มา

กำลังลองอยู่...

ติด Dependencies เต็มไปหมด เหนื่อยแล้ว ขี้เกียจทำ เดี๋ยวมาลองใหม่...
« Home | Next »
| Next »
| Next »
| Next »
| Next »
| Next »
| Next »
| Next »
| Next »
| Next »

3/28/2548 08:35:00 หลังเที่ยง โดย Blogger Mk

จำไม่ได้แล้วแต่น่าจะมี repository ของ mono ตัวใหม่ๆ ที่ใช้ได้ทั้ง debian และ ubuntu

monodevelop นี่ผมก็ไม่ได้ลองเหมือนกัน แต่ถ้าใช้จาก reps ที่ว่า ก็น่าจะไม่มีปัญหาอะไร

อยากเล่น SuSE 9.3 คงเป็น mono-ready    



» แสดงความคิดเห็น